Subject: Re: [PATCH v5 0/5] Wire up getrandom() vDSO implementation on powerpc

From: "Jason A. Donenfeld" <[email-masked]>
Date: Thu, 5 Sep 2024 14:56:22 +0200

On Thu, Sep 05, 2024 at 10:18:40PM +1000, Michael Ellerman wrote:
> There is an existing comment in the a/p/vdso/Makefile about the
> fixed-r30 thing, tldr is it's a workaround to avoid breaking old
> versions of Go.

Thanks. Indeed, following Christophe's links yesterday, I tumbled down
that rabbit hole for a bit. Interesting how ABIs ossify unintentionally.

> For the series:
> 
> Acked-by: Michael Ellerman <[email-masked]> (powerpc)

Excellent, queued up now.

> If you can include Maddy's test results from Power9 in the change log
> for patch 5 that'd be nice.

Was my plan exactly. I replaced the QEMU result with the PowerNV one.

Jason